using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.GetFlightCount.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.BulkAvailability.V17.GetFlightCount.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.BulkAvailability.WebApi
{
    public class GetFlightCountApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/BulkAvailability/V17/GetFlightCount",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
